
//paddle 1
float x1 = 50;
float y1 = 250;
float w1 = 20;
float h1 = 100;

// paddle 2
float x2 = 450;
float y2 = 250;
float w2 = 20;
float h2 = 100;

float sizeball=20;
float ballx = 250;
float bally = 250;
float ballvx = 3;
float ballvy = 1;

boolean[] keys = new boolean[4];
final int q = 0;
final int a = 1;
final int o = 2;
final int l = 3;

int Player1 = 0;
int Player2 = 0;

int slideNumber = 0;

//images
PImage start; 
PImage startlow;
PImage p1wins;
PImage p2wins;

void setup() {

  PFont font;
  font = loadFont ("Ayuthaya-14.vlw");
  textFont (font);
  background(0);
  size (500,500);
  smooth();

  for (int i = 0; i< 4; i++) {
    keys[i] = false;
  }
}

void keyPressed() {
  if (key == 'q'){
    keys[q] = true;
  }
  else if (key == 'a') {
    keys[a] = true;
  }
  else if (key == 'o') {
    keys[o] = true;
  }
  else if (key == 'l') {
    keys[l]= true;
  }
}

void keyReleased() {
  if (key == 'q') {
    keys[q] = false;
  }
  else if (key == 'a'){
    keys [a] = false;
  }
  else if (key == 'o') {
    keys [o] = false;
  }
  else if (key == 'l') {
    keys[l] = false;

  }
}

void mousePressed(){
  slideNumber=1;
}

void draw (){



  if (slideNumber==0)  {

    start = loadImage("data/start.gif");
    tint (random(255), random(255),random(255));
    image(start,0,0);
    startlow = loadImage("data/startlow.gif");
    noTint();
    image(startlow,0,0);



  }
  if (slideNumber == 1){


    background(0);

    text ("Player1: " + Player1, 400,20);

    text ("Player2: " + Player2, 20,490);

    stroke (255);

    line (250,0,250,500);

    rect (x1,y1,w1,h1);

    rect (x2,y2,w2,h2);
    noStroke();



    // interactive paddles


    // movement
    ballx += ballvx;
    bally += ballvy;


    ellipse(ballx,bally,sizeball,sizeball);

    //  println(ballx + ", " + bally + "," + x2 + "," + y2 + "," + x1 + "," + y1);

    if (ballx+sizeball/2 > x2 && bally > y2 && bally < y2 + h2) {
      ballvx = (-ballvx * 1.2);
    }

    if (ballx-sizeball/2 < x1+w1 && bally > y1 && bally < y1 + h1) {
      ballvx = (-ballvx * 1.2);
    }

    if(ballx < 0) {       //left limit

      ballvx = -3;
      ballx = 250;
      bally = random(1,500);
      Player1 += 10; 
      y2 = random(0,250);
      y1 = random(251,500);
    }

    if(ballx > 500) {     //right limit.

      ballvx = 3;
      ballx = 250;
      bally = random(1,500); 
      Player2 += 10;
      y2 = random(251,500);
      y1 = random(0,250);
    }

    if(Player1 == 50) {
      slideNumber=2;
    }

    if(Player2 == 50) {
      slideNumber=3;
    }


    // upper and lower edge collision
    if (bally > height || bally < 0) {
      ballvy = -ballvy;
    } 

    if (keys[q] == true) {
      y1 = max (0, y1-2*2);  
    }
    if (keys[a] == true) {
      y1 = min (400, y1+2*2);  
    }
    if (keys[o] == true) {
      y2 = max (0,y2-2*2);  
    }
    if (keys[l] == true) {
      y2 =min (400, y2+2*2);  
    }


    /*
  if (ballx > x2 && ballx < 0 && ballx > x1 && ballx < 0) {
     ballvx = -ballvx;
     }
     if (bally > height || bally < 0) {
     ballvy = -ballvy;
     }
     */


  }

  if (slideNumber == 2){
    p1wins = loadImage("data/p1.gif");
    tint (random(255), random(255),random(255));
    image(p1wins,0,0);
  }

  if (slideNumber == 3){
    p2wins = loadImage("data/p2.gif");
    tint (random(255), random(255),random(255));
    image(p2wins,0,0);
  }

  slideNumber = constrain(slideNumber, 0, 3);

}









